Final color coding tweak. If also thunar.sh not able to use preset.sh, then I dont know

This commit is contained in:
JaKooLit
2025-02-03 11:42:43 +09:00
parent d215fbd786
commit c1f67feb18
19 changed files with 29 additions and 28 deletions

View File

@@ -14,7 +14,7 @@ LOG="Install-Logs/install-$(date +%d-%H%M%S)_base.log"
# Installation of main components # Installation of main components
printf "\n%s - Installing ${BLUE}base-devel${RESET} \n" "${NOTE}" printf "\n%s - Installing ${SKY_BLUE}base-devel${RESET} \n" "${NOTE}"
for PKG1 in "${base[@]}"; do for PKG1 in "${base[@]}"; do
install_package_pacman "$PKG1" | tee -a "$LOG" install_package_pacman "$PKG1" | tee -a "$LOG"

View File

@@ -111,7 +111,7 @@ fi
# Installation of main components # Installation of main components
printf "\n%s - Installing ${BLUE}KooL's hyprland necessary packages${RESET} .... \n" "${NOTE}" printf "\n%s - Installing ${SKY_BLUE}KooL's hyprland necessary packages${RESET} .... \n" "${NOTE}"
for PKG1 in "${hypr_package[@]}" "${hypr_package_2[@]}" "${Extra[@]}"; do for PKG1 in "${hypr_package[@]}" "${hypr_package_2[@]}" "${Extra[@]}"; do
install_package "$PKG1" "$LOG" install_package "$PKG1" "$LOG"

View File

@@ -40,7 +40,7 @@ source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"
# Set the name of the log file to include the current date and time # Set the name of the log file to include the current date and time
LOG="Install-Logs/00_CHECK-$(date +%d-%H%M%S)_installed.log" LOG="Install-Logs/00_CHECK-$(date +%d-%H%M%S)_installed.log"
printf "\n%s - Final Check if all ${BLUE}Essential packages${RESET} were installed \n" "${NOTE}" printf "\n%s - Final Check if all ${SKY_BLUE}Essential packages${RESET} were installed \n" "${NOTE}"
# Initialize an empty array to hold missing packages # Initialize an empty array to hold missing packages
missing=() missing=()
local_missing=() local_missing=()

View File

@@ -78,7 +78,6 @@ install_package() {
# Checking if package is already installed # Checking if package is already installed
if $ISAUR -Q "$1" &>> /dev/null ; then if $ISAUR -Q "$1" &>> /dev/null ; then
echo -e "${OK} ${MAGENTA}$1${RESET} is already installed. Skipping..." echo -e "${OK} ${MAGENTA}$1${RESET} is already installed. Skipping..."
printf "\n%.0s" {1..1}
else else
# Run yay/paru and redirect all output to a log file # Run yay/paru and redirect all output to a log file
( (
@@ -90,6 +89,7 @@ install_package() {
# Double check if package is installed # Double check if package is installed
if $ISAUR -Q "$1" &>> /dev/null ; then if $ISAUR -Q "$1" &>> /dev/null ; then
echo -e "${OK} Package ${YELLOW}$1${RESET} has been successfully installed!" echo -e "${OK} Package ${YELLOW}$1${RESET} has been successfully installed!"
printf "\n%.0s" {1..1}
else else
# Something is missing, exiting to review log # Something is missing, exiting to review log
echo -e "\n${ERROR} ${YELLOW}$1${RESET} failed to install :( , please check the install.log. You may need to install manually! Sorry I have tried :(" echo -e "\n${ERROR} ${YELLOW}$1${RESET} failed to install :( , please check the install.log. You may need to install manually! Sorry I have tried :("
@@ -103,17 +103,18 @@ uninstall_package() {
local pkg="$1" local pkg="$1"
# Checking if package is installed # Checking if package is installed
if pacman -Qi "$pkg" &>> /dev/null ; then if pacman -Qi "$pkg" &>/dev/null; then
# Package is installed
echo -e "${NOTE} Uninstalling $pkg ..." echo -e "${NOTE} Uninstalling $pkg ..."
sudo pacman -R --noconfirm "$pkg" 2>&1 | tee -a "$LOG" | grep -v "error: target not found" sudo pacman -R --noconfirm "$pkg" 2>&1 | tee -a "$LOG" | grep -v "error: target not found"
# Check if the package was uninstalled
if ! pacman -Qi "$pkg" &>> /dev/null ; then if ! pacman -Qi "$pkg" &>/dev/null; then
echo -e "\e[1A\e[K${OK} $pkg was uninstalled." echo -e "\e[1A\e[K${OK} $pkg was uninstalled."
else else
echo -e "\e[1A\e[K${ERROR} $pkg failed to uninstall. Please check the log." echo -e "\e[1A\e[K${ERROR} $pkg failed to uninstall. Please check the log."
return 1 return 1
fi fi
else
echo -e "${NOTE} Package $pkg not installed, skipping."
fi fi
return 0 return 0
} }

View File

@@ -51,7 +51,7 @@ MLOG="install-$(date +%d-%H%M%S)_ags2.log"
printf "\n%.0s" {1..1} printf "\n%.0s" {1..1}
# Installation of main components # Installation of main components
printf "\n%s - Installing ${BLUE}Aylur's GTK shell $ags_tag${RESET} Dependencies \n" "${NOTE}" printf "\n%s - Installing ${SKY_BLUE}Aylur's GTK shell $ags_tag${RESET} Dependencies \n" "${NOTE}"
# Installing ags Dependencies # Installing ags Dependencies
for PKG1 in "${ags[@]}"; do for PKG1 in "${ags[@]}"; do
@@ -65,7 +65,7 @@ done
printf "\n%.0s" {1..1} printf "\n%.0s" {1..1}
# ags v1 # ags v1
printf "${NOTE} Install and Compiling ${BLUE}Aylur's GTK shell $ags_tag${RESET}..\n" printf "${NOTE} Install and Compiling ${SKY_BLUE}Aylur's GTK shell $ags_tag${RESET}..\n"
# Check if folder exists and remove it # Check if folder exists and remove it
if [ -d "ags" ]; then if [ -d "ags" ]; then
@@ -74,7 +74,7 @@ if [ -d "ags" ]; then
fi fi
printf "\n%.0s" {1..1} printf "\n%.0s" {1..1}
printf "${INFO} Kindly Standby...cloning and compiling ${BLUE}Aylur's GTK shell $ags_tag${RESET}...\n" printf "${INFO} Kindly Standby...cloning and compiling ${SKY_BLUE}Aylur's GTK shell $ags_tag${RESET}...\n"
printf "\n%.0s" {1..1} printf "\n%.0s" {1..1}
# Clone repository with the specified tag and capture git output into MLOG # Clone repository with the specified tag and capture git output into MLOG
if git clone --recursive -b "$ags_tag" --depth 1 https://github.com/Aylur/ags.git; then if git clone --recursive -b "$ags_tag" --depth 1 https://github.com/Aylur/ags.git; then

View File

@@ -22,7 +22,7 @@ source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"
LOG="Install-Logs/install-$(date +%d-%H%M%S)_bluetooth.log" LOG="Install-Logs/install-$(date +%d-%H%M%S)_bluetooth.log"
# Bluetooth # Bluetooth
printf "${NOTE} Installing ${BLUE}Bluetooth${RESET} Packages...\n" printf "${NOTE} Installing ${SKY_BLUE}Bluetooth${RESET} Packages...\n"
for BLUE in "${blue[@]}"; do for BLUE in "${blue[@]}"; do
install_package "$BLUE" "$LOG" install_package "$BLUE" "$LOG"
done done

View File

@@ -7,7 +7,7 @@
source "$(dirname "$(readlink -f "$0")")/Global_functions.sh" source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"
# Check if Hyprland-Dots exists # Check if Hyprland-Dots exists
printf "${NOTE} Cloning and Installing ${BLUE}KooL's Hyprland Dots${RESET}....\n" printf "${NOTE} Cloning and Installing ${SKY_BLUE}KooL's Hyprland Dots${RESET}....\n"
if [ -d Hyprland-Dots ]; then if [ -d Hyprland-Dots ]; then
cd Hyprland-Dots cd Hyprland-Dots

View File

@@ -32,7 +32,7 @@ LOG="Install-Logs/install-$(date +%d-%H%M%S)_fonts.log"
# Installation of main components # Installation of main components
printf "\n%s - Installing necessary ${BLUE}fonts${RESET}.... \n" "${NOTE}" printf "\n%s - Installing necessary ${SKY_BLUE}fonts${RESET}.... \n" "${NOTE}"
for PKG1 in "${fonts[@]}"; do for PKG1 in "${fonts[@]}"; do
install_package "$PKG1" "$LOG" install_package "$PKG1" "$LOG"

View File

@@ -36,7 +36,7 @@ if [ -d "GTK-themes-icons" ]; then
rm -rf "GTK-themes-icons" 2>&1 | tee -a "$LOG" rm -rf "GTK-themes-icons" 2>&1 | tee -a "$LOG"
fi fi
echo "$NOTE Cloning ${BLUE}GTK themes and Icons${RESET} repository..." 2>&1 | tee -a "$LOG" echo "$NOTE Cloning ${SKY_BLUE}GTK themes and Icons${RESET} repository..." 2>&1 | tee -a "$LOG"
if git clone --depth 1 https://github.com/JaKooLit/GTK-themes-icons.git ; then if git clone --depth 1 https://github.com/JaKooLit/GTK-themes-icons.git ; then
cd GTK-themes-icons cd GTK-themes-icons
chmod +x auto-extract.sh chmod +x auto-extract.sh

View File

@@ -34,7 +34,7 @@ if pacman -Qs hyprland >/dev/null; then
fi fi
# Hyprland # Hyprland
printf "${NOTE} Installing ${BLUE}Hyprland packages${RESET} .......\n" printf "${NOTE} Installing ${SKY_BLUE}Hyprland packages${RESET} .......\n"
for HYPR in "${hypr[@]}"; do for HYPR in "${hypr[@]}"; do
install_package "$HYPR" "$LOG" install_package "$HYPR" "$LOG"
[ $? -ne 0 ] && { [ $? -ne 0 ] && {

View File

@@ -38,7 +38,7 @@ if pacman -Qs hyprland > /dev/null; then
fi fi
# Install additional Nvidia packages # Install additional Nvidia packages
printf "${YELLOW} Installing ${BLUE}Nvidia Packages and Linux headers${RESET}...\n" printf "${YELLOW} Installing ${SKY_BLUE}Nvidia Packages and Linux headers${RESET}...\n"
for krnl in $(cat /usr/lib/modules/*/pkgbase); do for krnl in $(cat /usr/lib/modules/*/pkgbase); do
for NVIDIA in "${krnl}-headers" "${nvidia_pkg[@]}"; do for NVIDIA in "${krnl}-headers" "${nvidia_pkg[@]}"; do
install_package "$NVIDIA" "$LOG" install_package "$NVIDIA" "$LOG"

View File

@@ -40,7 +40,7 @@ if [ -n "$ISAUR" ]; then
printf "\n%s - AUR helper already installed, moving on..\n" "${OK}" printf "\n%s - AUR helper already installed, moving on..\n" "${OK}"
else else
printf "\n%s - AUR helper was NOT located\n" "$WARN" printf "\n%s - AUR helper was NOT located\n" "$WARN"
printf "\n%s - Installing ${BLUE}paru-bin${RESET} from AUR\n" "${NOTE}" printf "\n%s - Installing ${SKY_BLUE}paru-bin${RESET} from AUR\n" "${NOTE}"
git clone https://aur.archlinux.org/paru-bin.git || { printf "%s - Failed to clone ${YELLOW}paru-bin${RESET} from AUR\n" "${ERROR}"; exit 1; } git clone https://aur.archlinux.org/paru-bin.git || { printf "%s - Failed to clone ${YELLOW}paru-bin${RESET} from AUR\n" "${ERROR}"; exit 1; }
cd paru-bin || { printf "%s - Failed to enter paru directory\n" "${ERROR}"; exit 1; } cd paru-bin || { printf "%s - Failed to enter paru directory\n" "${ERROR}"; exit 1; }
makepkg -si --noconfirm 2>&1 | tee -a "$LOG" || { printf "%s - Failed to install ${YELLOW}paru-bin${RESET} from AUR\n" "${ERROR}"; exit 1; } makepkg -si --noconfirm 2>&1 | tee -a "$LOG" || { printf "%s - Failed to install ${YELLOW}paru-bin${RESET} from AUR\n" "${ERROR}"; exit 1; }

View File

@@ -30,7 +30,7 @@ echo -e "${NOTE} Disabling pulseaudio to avoid conflicts..."
systemctl --user disable --now pulseaudio.socket pulseaudio.service 2>&1 | tee -a "$LOG" systemctl --user disable --now pulseaudio.socket pulseaudio.service 2>&1 | tee -a "$LOG"
# Pipewire # Pipewire
echo -e "${NOTE} Installing ${BLUE}Pipewire${RESET} Packages..." echo -e "${NOTE} Installing ${SKY_BLUE}Pipewire${RESET} Packages..."
for PIPEWIRE in "${pipewire[@]}"; do for PIPEWIRE in "${pipewire[@]}"; do
install_package "$PIPEWIRE" "$LOG" install_package "$PIPEWIRE" "$LOG"
[ $? -ne 0 ] && { echo -e "\e[1A\e[K${ERROR} - $PIPEWIRE Package installation failed, Please check the installation logs"; exit 1; } [ $? -ne 0 ] && { echo -e "\e[1A\e[K${ERROR} - $PIPEWIRE Package installation failed, Please check the installation logs"; exit 1; }

View File

@@ -24,7 +24,7 @@ LOG="Install-Logs/install-$(date +%d-%H%M%S)_rog.log"
### Install software for Asus ROG laptops ### ### Install software for Asus ROG laptops ###
printf " Installing ${BLUE}ASUS ROG packages${RESET}...\n" printf " Installing ${SKY_BLUE}ASUS ROG packages${RESET}...\n"
for ASUS in "${rog[@]}"; do for ASUS in "${rog[@]}"; do
install_package "$ASUS" "$LOG" install_package "$ASUS" "$LOG"
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then

View File

@@ -62,7 +62,7 @@ while [ "$valid_input" != true ]; do
read -n 1 -r -p "${CAT} OPTIONAL - Would you like to install ${YELLOW}additional SDDM themes?${RESET} (y/n)" install_sddm_theme read -n 1 -r -p "${CAT} OPTIONAL - Would you like to install ${YELLOW}additional SDDM themes?${RESET} (y/n)" install_sddm_theme
fi fi
if [[ $install_sddm_theme =~ ^[Yy]$ ]]; then if [[ $install_sddm_theme =~ ^[Yy]$ ]]; then
printf "\n%s - Installing ${BLUE}Simple SDDM Theme${RESET}\n" "${NOTE}" printf "\n%s - Installing ${SKY_BLUE}Simple SDDM Theme${RESET}\n" "${NOTE}"
# Check if /usr/share/sddm/themes/simple-sddm-2 exists and remove if it does # Check if /usr/share/sddm/themes/simple-sddm-2 exists and remove if it does
if [ -d "/usr/share/sddm/themes/simple-sddm-2" ]; then if [ -d "/usr/share/sddm/themes/simple-sddm-2" ]; then

View File

@@ -30,7 +30,7 @@ source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"
LOG="Install-Logs/install-$(date +%d-%H%M%S)_thunar.log" LOG="Install-Logs/install-$(date +%d-%H%M%S)_thunar.log"
# Thunar # Thunar
printf "${NOTE} Installing ${BLUE}Thunar${RESET} Packages...\n\n" printf "${NOTE} Installing ${SKY_BLUE}Thunar${RESET} Packages...\n\n"
for THUNAR in "${thunar[@]}"; do for THUNAR in "${thunar[@]}"; do
install_package "$THUNAR" "$LOG" install_package "$THUNAR" "$LOG"
[ $? -ne 0 ] && { echo -e "\e[1A\e[K${ERROR} - $THUNAR Package installation failed, Please check the installation logs"; exit 1; } [ $? -ne 0 ] && { echo -e "\e[1A\e[K${ERROR} - $THUNAR Package installation failed, Please check the installation logs"; exit 1; }
@@ -40,7 +40,7 @@ printf "\n%.0s" {1..2}
# confirm if wanted to set as default # confirm if wanted to set as default
while true; do while true; do
read -n1 -rep "${CAT} set ${MAGENTA}Thunar${RESET} as the default file manager? (y/n): " thundefault read -n 1 -r -p "${CAT} set ${MAGENTA}Thunar${RESET} as the default file manager? (y/n)" thundefault
case $thundefault in case $thundefault in
[Yy]) [Yy])
xdg-mime default thunar.desktop inode/directory xdg-mime default thunar.desktop inode/directory

View File

@@ -27,7 +27,7 @@ source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"
LOG="Install-Logs/install-$(date +%d-%H%M%S)_xdph.log" LOG="Install-Logs/install-$(date +%d-%H%M%S)_xdph.log"
# XDG-DESKTOP-PORTAL-HYPRLAND # XDG-DESKTOP-PORTAL-HYPRLAND
printf "${NOTE} Installing ${BLUE}xdg-desktop-portal-hyprland${RESET}\n\n" printf "${NOTE} Installing ${SKY_BLUE}xdg-desktop-portal-hyprland${RESET}\n\n"
for xdgs in "${xdg[@]}"; do for xdgs in "${xdg[@]}"; do
install_package "$xdgs" "$LOG" install_package "$xdgs" "$LOG"
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then

View File

@@ -38,7 +38,7 @@ if [ -n "$ISAUR" ]; then
printf "\n%s - AUR helper already installed, moving on.\n" "${OK}" printf "\n%s - AUR helper already installed, moving on.\n" "${OK}"
else else
printf "\n%s - AUR helper was NOT located\n" "$WARN" printf "\n%s - AUR helper was NOT located\n" "$WARN"
printf "\n%s - Installing ${BLUE}yay${RESET} from AUR\n" "${NOTE}" printf "\n%s - Installing ${SKY_BLUE}yay${RESET} from AUR\n" "${NOTE}"
git clone https://aur.archlinux.org/yay.git || { printf "%s - Failed to clone ${YELLOW}yay${RESET} from AUR\n" "${ERROR}"; exit 1; } git clone https://aur.archlinux.org/yay.git || { printf "%s - Failed to clone ${YELLOW}yay${RESET} from AUR\n" "${ERROR}"; exit 1; }
cd yay || { printf "%s - Failed to enter yay directory\n" "${ERROR}"; exit 1; } cd yay || { printf "%s - Failed to enter yay directory\n" "${ERROR}"; exit 1; }
makepkg -si --noconfirm 2>&1 | tee -a "$LOG" || { printf "%s - Failed to install ${YELLOW}yay${RESET} from AUR\n" "${ERROR}"; exit 1; } makepkg -si --noconfirm 2>&1 | tee -a "$LOG" || { printf "%s - Failed to install ${YELLOW}yay${RESET} from AUR\n" "${ERROR}"; exit 1; }

View File

@@ -76,7 +76,7 @@ fi
printf "\n%.0s" {1..2} printf "\n%.0s" {1..2}
echo "${NOTE} ${WARNING}ATTENTION: Choosing Y on use preset question will install also ${MAGENTA}nvidia packages!!!${RESET}" echo "${WARN} ${WARNING}ATTENTION: Choosing Y on use preset question will install also ${MAGENTA}nvidia packages!!!${RESET}"
echo "${YELLOW}CTRL C or Q to cancel and edit the file ${MAGENTA}preset.sh${RESET} ${RESET}" echo "${YELLOW}CTRL C or Q to cancel and edit the file ${MAGENTA}preset.sh${RESET} ${RESET}"
echo "If you are not sure what to do, answer N in here" echo "If you are not sure what to do, answer N in here"
read -p "${SKY_BLUE}Would you like to Use ${YELLOW}Preset Install Settings?${RESET} (See note above)? (y/n): ${RESET}" use_preset read -p "${SKY_BLUE}Would you like to Use ${YELLOW}Preset Install Settings?${RESET} (See note above)? (y/n): ${RESET}" use_preset